Nest

Nieprzeczytane posty

Założony przez Łukasz Tkacz.

Nieprzeczytane posty
  • Wersja

    1.6.0

  • Data aktualizacji

    29.10.2016

  • Autor

    LukasAMD

  • Strona

    https://tkacz.pro

  • Licencja

    LGPL v3

  • Liczba pobrań

    1 445 (41,78 KB)

Modyfikacja dodaje możliwość przeglądania nieprzeczytanych postów (funkcjonalność taka jak analogiczna funkcja w phpBB 3.0.6+).

Plugin w najnowszej wersji dostępny w oficjalnej bazie dodatków MyBB:
http://community.mybb.com/mods.php?action=view&pid=116

Zalecam pobieranie właśnie z tej strony.

Instalacja

  1. Umieść wszystkie pliki z katalogu root na serwerze w katalogu z forum MyBB

  2. Wejdź do Panelu Administracyjnego -> Pluginy i zainstaluj oraz aktywuj "Nieprzeczytane posty"

Instalacja


  1. Umieść wszystkie pliki z katalogu root na serwerze w katalogu z forum MyBB
  2. Wejdź do Panelu Administracyjnego -> Pluginy i zainstaluj oraz aktywuj "Nieprzeczytane posty"
Podziękowali: SoulReaver, DamYan, wujas, Xemix, vokron, koper18cm, kych0, Gigi, brx1991, papi, Inaro, Ares, kibiccwks11, Kamar, Dance4Love, saturnine, Broniu, tivis, Seb_, elroyalo, MazuLuka, Vectrom, lock, Siper, Towarzysz97, Sh3n, Matslom, hipekxd, Kamilo0002, Snake_, XmaX, aggresion1995, xpopo, Supryk, Hades, Ka28eM, Bekamax, DixOnMDG, TpkGames, MaciejB
Wersja 2.5:
- Poprawa problemu związanego z ogromną ilością nieczytanych postów w wypadku zupełnie nowych użytkowników.
Podziękowali: albatros, c0nst, Zenk, koper18cm
Wersja 2.6:
- dodany plik /inc/functions_indicators.php dla MyBB 1.6.7
Podziękowali: RadnoK, lock, MazuLuka, koper18cm
Wersja 2.7:
- możliwość ustawienia stylu CSS znacznika przy poście z poziomu ustawień pluginu
- poprawiony błąd mogący pojawiać się podczas pisania nowego postu/tematu jako gość i jednoczesnego logowania
- poprawki optymalizacyjne - mniej hooków gdy nie są potrzebne, mniej modyfikowania kodu wyjściowego dla funkcji zamiany linków na kierujące do nieczytanego postu
- dodany plik /inc/functions_indicators.php dla MyBB 1.6.6
Podziękowali: Brianfiki, koper18cm, saturnine
Wersja 2.7.1:
- poprawka w funkcji kierującej do pierwszego nieczytanego postu w temacie (podziękowania dla DarK15 za zgłoszenie błędu)
Podziękowali: DarK15, saturnine, elroyalo
Wersja 2.8:
Dodanie opcji pokazywania daty startu tematu
Wersja 2.9:
Poprawa kompatybilności z Tapatalk:
- usunięcie konfliktu powodującego błąd komunikacji
- od teraz tapatalk będzie poprawnie oznaczał tematy jako przeczytane
Podziękowali: albatros, hipekxd, gloverek
Wersja 2.9.1:
* zmiana licencji na LGPL v3
* zmiana oznaczenia w hookach
* uporządkowanie kodu
* kolejne poprawki dla Tapatalka
Podziękowali: albatros, SLAVOO
Wersja 2.9.2:
- Dodana kompatybilność z MyBB 1.6.10.

Jako że z niemal każdym update i tak należało modyfikować plik functions_indicators.php, zaprzestałem wsparcia dla starszych wersji. Obsługiwana będzie zawsze jedynie najnowsza wersja stabilna.

Próba używania pluginu (zmodyfikowanego pliku) na wersjach niższych niż 1.6.9 grozi problemami z działaniem forum.
Podziękowali: DamYan, albatros
Jeżeli ktoś ma duże forum i obciążenie gra już znaczenie, lub jedzie na VPSie / dedyku i używa tego dodatku to prosiłbym o kontakt via pw (z podaniem adresu forum). Ostatnio zauważyłem, że plugin może działać sporo szybciej, ale chciałbym to zbadać na przynajmniej kilku różnych przypadkach.
Mowa o forach na poziomie 100.000 postów i więcej.
Wersja 2.9.3:
- Poprawki optymalizacyjne

Aktualizacja bardzo zalecana, różnica w obciążeniu może być spora.
Podziękowali: hipekxd
Czy działa z 1.6.9?
Jeśli Ci pomogłem naciśnij guzik POMÓGŁ lub dodaj PUNKT REPUTACJI
Nie daję na to gwarancji.
Zgodnie z tym co pisałem wcześniej, wspierana jest jedynie najnowsza wersja.
Podziękowali: SLAVOO
Wersja 2.9.4:
- Usunięcie zbędnego, duplikowanego kodu (użycie funkcji wbudowanych w MyBB).
- Dodanie limitu wyników dla licznika - może znacząco przyśpieszyć działanie wyszukiwarki. Jeżeli ilość wyników jest większa niż maksymalna dla licznika, plugin będzie wyświetlał informację typu:

Pokaż nieprzeczytane posty (500+)
Podziękowali: hipekxd, DamYan
Jeżeli ktoś aktualizował już do 2.9.4 to proszę o ponowne pobranie paczki. W kod wkradła się literówka, która może powodować błąd zapytania do bazy danych. Tak to już jest jak się siedzi do drugiej w nocy nad kodem ;)
Podziękowali: hipekxd, DamYan, TerminatorPL
Wersja 2.9.5:
- Poprawka związana z uprawnieniami do działów.
Podziękowali: hipekxd, albatros

Podobne wątki

Edytowane - nieprzeczytane

03.01.2015, 18:33
Ostatni post: Łukasz Tkacz

Skocz do:

Użytkownicy przeglądający ten wątek:

1 gości